/*! \file cleanString.c

  \brief Clean out &amp; and &nbsp; from string

  This function takes a string and returns a copy with &amp;
  and &nbsp; stripped out.  The function only deals with the first 
  occurrence.
*/
#include <stdio.h>
#include <string.h>

/*! cleanString() - remove & tags from a string

    cleanString() looks for an & character in a string.  If found
    it checks to see whether it introduces an &amp; or &nbsp;.  The
    function creates a copy of the string with the &amp; replace with
    and ampersand or the &nbsp; replaced with a space.

    The function quits after finding the first &

    Arguments:
    \arg szInT - pointer to the input string
    \arg szOut - pointer to a buffer for the result
*/
void cleanString( char *szInT, char *szOut )
{
  char *q;
  char szIn[1024];
  int recurse;

  recurse = 0;
  strcpy(szIn,szInT);
  q=strchr(szIn,'&');
  if ( !q )
    {
      //printf("Returning original string:\n%s\n",szIn);
      strcpy(szOut,szIn);
      return;
    }
  //else
  //  printf("Found an &:\n%s\n",szIn);

  *q='\0';
  strcpy(szOut,szIn);
  q++;
  if ( !strncmp("amp;",q,4) )
    {
      strcat(szOut,"&");
      q+=4;
      strcat(szOut,q);
    }
  else if ( !strncmp("nbsp;",q,5) )
    {
      strcat(szOut," ");
      q+=5;
      strcat(szOut,q);
    }
  else
    {
      strcat(szOut,"&");
      strcat(szOut,q);
    }
}

