Summary:	Package a multiple-language Publican document
Name:		doc-publican-rpm
Version:	2.0.1
Release:	1%{?dist}
License:	GPLv2
Group:		System Environment/Base
URL:		http://git.fedorahosted.org/git/?p=docs/tools.git
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	texinfo
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	texlive-utils
BuildRequires:	texlive-latex
Requires:	/bin/tar
Requires:	/usr/bin/rpmbuild

%description
Make a multiple-language rpm from a Publican document

%prep
%setup -q

%build
make
make doc

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/bin
#mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/info
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/man
mkdir -p $RPM_BUILD_ROOT%{_datadir}/man/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/man/man5
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
LOCALROOT=$RPM_BUILD_ROOT/usr
install -m 755 doc-publican-rpm $LOCALROOT/bin
LOCALSHARE=$LOCALROOT/share
install -m 644 doc-publican-rpm.info $LOCALSHARE/info
install -m 644 doc-publican-rpm.1.gz $LOCALSHARE/man/man1
install -m 644 doc-publican-rpm.config.5.gz $LOCALSHARE/man/man5
install -m 644 doc-publican-rpm.pdf $LOCALSHARE/doc/%{name}-%{version}
mkdir -p $LOCALSHARE/%{name}/icons
SIZES="16 22 24 32 48"
for ISIZE in $SIZES ; do
  mkdir -p $LOCALSHARE/%{name}/icons/${ISIZE}x${ISIZE}/apps
  install -m 644 icons/${ISIZE}x${ISIZE}/apps/fedora-documentation.png \
    $LOCALSHARE/%{name}/icons/${ISIZE}x${ISIZE}/apps
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/
%{_datadir}/man/
%{_datadir}/info/
%{_defaultdocdir}/%{name}-%{version}
/usr/share/%{name}/

%changelog
* Tue Jul 13 2010 John J. McDonough <jjmcd@fedoraproject.org> - 2.0.1-1
- Provide icons

* Tue Jul 13 2010 John J. McDonough <jjmcd@fedoraproject.org> - 2.0.0-1
- Rename buildrpm.config to doc-publican-rpm.config

* Sat May  1 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.8.0-1
- Changes to specfile and desktop files per BZ#482947

* Sat Apr 17 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.7.0-1
- Remove unnecessary peovides in generated specfile
- Additional changes to desktop files

* Sat Apr 17 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.6.2-1
- Commit 78b43db
- BZ 583285 Change main category to comply with standard
- BZ 583284 Remove version in desktop
- BZ 583284 Remove superfluous Provides in spec
- Remove Encoding in desktop
- Remove [Comment] in KDE desktop

* Thu Apr 15 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.6.2-1
- Still more refinement of info file

* Thu Apr 15 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.6.1-1
- Add additional tutorial information to info file

* Thu Apr 15 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.6.0-2
- Bring doxygen documentation up to date

* Thu Apr 15 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.6.0-1
- Eliminate rpmlint complaint about spaces and tabs
- Remove potential html tagging in spec file
- Use description and changelog from old spec file if available

* Tue Apr  6 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.5.0
- Strip excess html tags from titles for desktop file
- Remove dependency on xdg-utils

* Fri Mar 26 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.4.0
- Include noscript section in index.html for non-Javascript browsers

* Tue Jan 12 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.3.0
- Use Gnome standard in .desktop file instead of RFC4646

* Sun Jan 10 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.2.0
- Add .desktop file for KDE

* Sat Jan  9 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.1.0
- Recurse into all directories not just expected
- Clean up progress messages
- Run rpmbuild in quiet mode

* Sun Jan  3 2010 John J. McDonough <jjmcd@fedoraproject.org> - 1.0.0
- Initial build.
