/*! \file getBaseName.c

\brief Get base name for the generated rpm

*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

extern char szVersion[20];
extern char szPubDir[512];
extern char szBasename[64];
extern char szWorkdir[256];

/*! getBaseName() - Get base name for the rpm

  getBaseName() examines the Publican directory captured in
  szPubDir, and strips off the last part of that string, the
  portion following the last slash, and assumes that is the
  name of the document and the name to be used for the rpm.
*/
void getBaseName( void )
{
  char *p, *q;

  p = szPubDir;
  while ( p )
    {
      q = strchr(p,'/');
      if ( q )
	p = q+1;
      else
	{
	  q = p - 1;
	  p = NULL;
	}
    }
  strcpy(szWorkdir,"./");
  strcpy(szBasename,q+1);
  strcat(szWorkdir,szBasename);
  strcat(szWorkdir,"-");
  strcat(szWorkdir,szVersion);
  //printf("******%s at %s******\n",szBasename,szWorkdir);

}
