/*! \file makeTarFile.c

  \brief Create the source tar and copy it to <tt>~/rpmbuild</tt>
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

extern char szVersion[20];
extern char szBasename[64];
extern char szWorkdir[256];
extern char szCommand[256];

/*! makeTarFile() - Make the source tar.

    makeTarFile() tars the files in the work directory.  It then
    copies the tar to <tt>~/rpmbuild/SOURCES</tt> and deletes the work
    directory.  */
void makeTarFile( void )
{
  printf("Tarring sources.\n");
  strcpy(szCommand,"tar -czf ");
  strcat(szCommand,szBasename);
  strcat(szCommand,"-");
  strcat(szCommand,szVersion);
  strcat(szCommand,".tar.gz ");
  strcat(szCommand,szWorkdir);
  system(szCommand);

  strcpy(szCommand,"cp ");
  strcat(szCommand,szBasename);
  strcat(szCommand,"-");
  strcat(szCommand,szVersion);
  strcat(szCommand,".tar.gz ");
  strcat(szCommand,"~/rpmbuild/SOURCES");
  system(szCommand);

  strcpy(szCommand,"rm -Rf ");
  strcat(szCommand,szWorkdir);
  system(szCommand);
}
