/*! \file readArticleInfo.c

  \brief Get title and subtitle from <tt>Article_Info.xml</tt>

  This logic is a little weak and could stand to be improved.  It will
  likely run into problems on some documents.

*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/*! readArticleInfo() - get title and subtitle

    readArticleInfo() reads the <tt>Article_Info.xml</tt> file to
    identify the title and subtitle for the appropriate language.
    main() calls readArticleInfo() for each language.

    Arguments:
    \arg szPubDir - Pointer to Publican Directory
    \arg szLang - Pointer to ISO code for language
    \arg szTitle - Pointer to place to write title
    \arg szSubtitle - Pointer to place to write subtitle
*/
void readArticleInfo( char * szPubDir, char *szLang, 
		      char *szTitle, char *szSubtitle )
{
  FILE *f;
  char *p;
  char szInfoName[512];
  char szBuffer[1024];

  strcpy(szInfoName,szPubDir);
  strcat(szInfoName,"/tmp/");
  strcat(szInfoName,szLang);
  strcat(szInfoName,"/xml/Article_Info.xml");

  f = fopen(szInfoName,"r");
  if ( f == NULL )
    {
      strcpy(szInfoName,szPubDir);
      strcat(szInfoName,"/tmp/");
      strcat(szInfoName,szLang);
      strcat(szInfoName,"/xml/Book_Info.xml");
      f = fopen(szInfoName,"r");
      if ( f == NULL )
	{
	  perror(szInfoName);
	  exit(1);
	}
    }

  while ( !feof(f) )
    {
      fgets(szBuffer,sizeof(szBuffer),f);
      if ( (p = strstr(szBuffer,"<title>")) )
	{
	  p += 7;
	  strcpy(szTitle,p);
	  if ( (p = strchr(szTitle,'<')) )
	    *p = '\0';
	  //printf("   Title: [%s].\n",szTitle);
	}
      if ( (p = strstr(szBuffer,"<subtitle>")) )
	{
	  p += 10;
	  strcpy(szSubtitle,p);
	  if ( (p = strchr(szSubtitle,'<')) )
	    *p = '\0';
	  //printf("SubTitle: [%s].\n",szSubtitle);
	}
    }
  fclose(f);
}
